<?php
/**
 * The edit view file of task module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     task
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php if(helper::isAjaxRequest()):?>
<?php include $app->getModuleRoot() . 'common/view/header.modal.html.php';?>
<?php else:?>
<?php include $app->getModuleRoot() . 'common/view/header.html.php';?>
<?php endif;?>
<?php include '../../common/view/kindeditor.html.php';?>

<?php if(!helper::isAjaxRequest()):?>
<div class='panel'>
  <div class='panel-heading'><strong><?php echo $lang->task->create;?></strong></div>
  <div class='panel-body'>
<?php endif;?>
    <form method='post' id='ajaxForm' enctype='multipart/form-data' action="<?php echo $this->createLink('task', 'create', "projectID=$projectID&from=$from&region=$regionID")?>">
      <table class='table table-form table-data w-p80'>
        <tr>
          <th class='w-80px'><?php echo $lang->task->name?></th>
          <td class='w-p50'>
            <div class='input-group'>
              <?php echo html::input('name', '', "class='form-control'");?>
              <span class='input-group-addon '><?php echo $lang->task->pri;?></span>
              <?php echo html::select('pri', $lang->task->priList, '', "class='form-control'");?>
            </div>
          </td><td></td>
        </tr>
        <tr>
          <th class='w-80px'><?php echo $lang->task->assignedTo;?></th>
          <td class='w-p40'>
            <div class='input-group'>
              <?php echo html::select('assignedTo', $members, '', "class='form-control'");?>
              <?php echo html::input('teamMember', '', "class='form-control team-group hidden' readonly");?>
              <span class='input-group-addon'> 
                <label class='checkbox-inline'>
                  <input type='checkBox' name='multiple' value='1'/>
                  <?php echo $lang->task->multipleAB;?>
                </label>
              </span>
            </div>
          </td><td></td>
        </tr>
        <tr class='team hidden'>
          <th class='w-80px'><?php echo $lang->task->team;?></th>
          <td colspan="2">
            <table class='table table-detail table-condensed table-borderless'>
              <?php for($i = 0; $i < 3; $i++):?>
              <tr>
                <td><?php echo html::select("team[]", $members, '', "class='form-control chosen'")?></td>
                <td class='w-120px'><?php echo html::input("role[]", '', "class='form-control' placeholder='{$lang->project->role}'")?></td>
                <td class="w-130px">
                  <div class='input-group'>
                    <?php echo html::input("teamEstimate[]", '', "class='form-control text-center' placeholder='{$lang->task->estimateAB}'")?>
                    <span class='input-group-addon'><?php echo $lang->task->hour?></span>
                  </div>
                </td>
                <td class="w-90px">
                  <a href='javascript:;' class='btn btn-move-up btn-sm'><i class='icon-arrow-up'></i></a>
                  <a href='javascript:;' class='btn btn-move-down btn-sm'><i class='icon-arrow-down'></i></a>
                </td>
              </tr>
              <?php endfor;?>
            </table>
          </td>
        </tr>
        <tr>
          <th><?php echo $lang->task->estimate;?></th>
          <td>
            <div class='input-group'>
              <?php echo html::input('estimate', '', "class='form-control'")?>
              <span class='input-group-addon '><?php echo $lang->task->deadline;?></span>
              <?php echo html::input('deadline', '', "class='form-control form-date'");?>
            </div>
          </td><td></td>
        </tr>
        <tr>
          <th><?php echo $lang->task->desc?></th>
          <td colspan='2'><?php echo html::textarea('desc', '', "class='form-control'");?></td>
        </tr>
        <tr>
          <th><?php echo $lang->task->mailto;?></th>
          <td colspan='2'><?php echo html::select('mailto[]', $users, '', "class='form-control chosen' multiple data-placeholder='{$lang->task->mailtoPlaceholder}'");?></td>
        </tr>
        <?php if(commonModel::hasPriv('file', 'upload')):?>
        <tr>
          <th><?php echo $lang->files;?></th>
          <td colspan='2'><?php echo $this->fetch('file', 'buildForm')?></td>
        </tr>
        <?php endif;?>
        <tr>
          <th></th>
          <td colspan='2' class='form-actions'>
          <?php
            echo html::hidden('kanbanRegion', $regionID);
            echo html::hidden('kanbanGroup', $groupID);
            echo html::hidden('kanbanLane', $laneID);
            echo html::hidden('kanbanColumn', $columnID);
            echo html::hidden('status', $status);
            $browseLink = $this->session->taskList ? $this->session->taskList : inlink('browse', "project=$projectID");
            echo html::submitButton() . ' ' . (!helper::isAjaxRequest() ? html::a($browseLink, $lang->goback, "class='btn btn-back'") : '');
          ?>
          </td>
        </tr>
      </table>

      
    </form>
<?php if(!helper::isAjaxRequest()):?>
  </div>
</div>
<?php endif;?>
<?php include $app->getModuleRoot() . 'common/view/footer.html.php';?>
